Bug 664810 - Review Request: perl-Regexp-IPv6 - Regular expression for IPv6 addresses
Summary: Review Request: perl-Regexp-IPv6 - Regular expression for IPv6 addresses
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: rt4-dependencies-tracker
TreeView+ depends on / blocked
 
Reported: 2010-12-21 18:06 UTC by Ralf Corsepius
Modified: 2014-12-15 20:05 UTC (History)
3 users (show)

Fixed In Version: perl-Regexp-IPv6-0.03-11.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-15 22:22:18 UTC
mmaslano: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralf Corsepius 2010-12-21 18:06:15 UTC
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-Regexp-IPv6.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-Regexp-IPv6-0.03-1.fc15.src.rpm

Description:
This module exports the $IPv6_re regular expression that matches any valid
IPv6 address as described in "RFC 2373 - 2.2 Text Representation of
Addresses" but ::. Any string not compliant with such RFC will be rejected.

Comment 1 Marcela Mašláňová 2011-01-05 10:24:08 UTC
- rpmlint OK
- package must be named according to Guidelines OK
- spec file name must match the base package %{name} OK
- package must meet the Packaging Guidelines  OK
- package must be licensed with Fedora approved license OK
- license field must match actual license OK
- text of the license in its own file must be included in %doc OK
- sources must match the upstream source OK 
 md5sum 892abe3f43eb0cc76283767f99a335e6
- package MUST successfully compile and build  OK
 http://koji.fedoraproject.org/koji/taskinfo?taskID=2701931
- architecture listed in ExcludeArch MUST have a bug filed in bugzilla OK
- build dependencies must be listed in BuildRequires OK
- handle locales properly with %find_lang macro OK
- shared library files must call ldconfig in %post(un) OK
- packages must NOT bundle system libraries OK
- package must own all directories that it creates OK
- permissions on files must be set properly OK
- package must consistently use macros OK
- package must contain code, or permissable content OK
- large documentation must go in a -doc  OK
- %doc must not affect the runtime of the application OK
- header files must be in a -devel package OK
- static libraries must be in a -static package OK
- library files that end in .so (without suffix) must go in a -devel  OK
- devel package usually require base package  OK
- packages must NOT contain any .la libtool archives OK
- GUI applications must include a %{name}.desktop file OK
- packages must not own files or directories already owned by other packages OK

Comments on spec: buildroot definition and rm -rf in build section is not needed anymore. But that's not a blocker.

ACCEPT

Comment 2 Ralf Corsepius 2011-01-05 10:49:47 UTC
(In reply to comment #1)

> Comments on spec: buildroot definition and rm -rf in build section is not
> needed anymore. But that's not a blocker.

I know, but I prefer keeping them at least for now to prevent ugly surprises on RHEL and other distros which still ship obsolete rpms.

> ACCEPT

Thanks.

Comment 3 Ralf Corsepius 2011-01-05 10:51:28 UTC
New Package SCM Request
=======================
Package Name: perl-Regexp-IPv6
Short Description: Regular expression for IPv6 addresses
Owners: corsepiu
Branches: f13 f14
InitialCC: perl-sig

Comment 4 Jason Tibbitts 2011-01-05 16:08:05 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-01-07 03:22:15 UTC
perl-Regexp-IPv6-0.03-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Regexp-IPv6-0.03-1.fc13

Comment 6 Fedora Update System 2011-01-07 03:22:22 UTC
perl-Regexp-IPv6-0.03-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Regexp-IPv6-0.03-1.fc14

Comment 7 Fedora Update System 2011-01-07 19:56:25 UTC
perl-Regexp-IPv6-0.03-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Regexp-IPv6'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-Regexp-IPv6-0.03-1.fc14

Comment 8 Fedora Update System 2011-01-15 22:22:13 UTC
perl-Regexp-IPv6-0.03-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-01-15 22:23:11 UTC
perl-Regexp-IPv6-0.03-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 David Dick 2014-11-25 19:56:57 UTC
Hi Ralf,

I would like this package built for EPEL6 and EPEL7.  If you don't want to, i am willing to do the builds myself.

koji builds 

el6 -> http://koji.fedoraproject.org/koji/taskinfo?taskID=8230927
epel7 - http://koji.fedoraproject.org/koji/taskinfo?taskID=8230966

Comment 11 Ralf Corsepius 2014-11-26 07:38:43 UTC
(In reply to David Dick from comment #10)
> I would like this package built for EPEL6 and EPEL7.  If you don't want to,
> i am willing to do the builds myself.

Feel free to take over these packages for EPEL. I for one do not consider it reasonable nor possible to maintain these for the next 10 rsp. 15 years ;)

Comment 12 David Dick 2014-11-26 09:17:49 UTC
Thanks for the quick response Ralf.

Package Change Request
======================
Package Name: perl-Regexp-IPv6
New Branches: el6 epel7
Owners: ddick
InitialCC: perl-sig

Comment 13 Gwyn Ciesla 2014-11-26 12:30:24 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2014-11-27 05:47:51 UTC
perl-Regexp-IPv6-0.03-11.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-Regexp-IPv6-0.03-11.el7

Comment 15 Fedora Update System 2014-11-27 05:48:24 UTC
perl-Regexp-IPv6-0.03-11.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Regexp-IPv6-0.03-11.el6

Comment 16 Fedora Update System 2014-12-15 20:04:35 UTC
perl-Regexp-IPv6-0.03-11.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 17 Fedora Update System 2014-12-15 20:05:16 UTC
perl-Regexp-IPv6-0.03-11.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.